class CfgVehicles {
	class Man;

	class CAManBase : Man {
		asr_aiskill = 6; // default soldier
	};

	class Civilian : CAManBase {
		asr_aiskill = 7; // default civilian
	};

	class SoldierWB : CAManBase {};
	class SoldierEB : CAManBase {};
	class SoldierGB : CAManBase {};

	class USMC_Soldier_Base : SoldierWB {
		asr_aiskill = 4;
	};
	class USMC_Soldier_Officer : USMC_Soldier_Base {
		asr_aiskill = 3;
	};
	class USMC_Soldier_SL : USMC_Soldier_Base {
		asr_aiskill = 3;
	};
	class USMC_Soldier_TL : USMC_Soldier_Base {
		asr_aiskill = 3;
	};
	class USMC_SoldierS_Spotter : USMC_Soldier_Base {
		asr_aiskill = 2;
	};
	class USMC_SoldierS_Sniper : USMC_Soldier_Base {
		asr_aiskill = 1;
	};
	class USMC_SoldierM_Marksman : USMC_Soldier_Base {
		asr_aiskill = 3;
	};
	class USMC_SoldierS : USMC_Soldier_Base {
		asr_aiskill = 2;
	};
	class USMC_LHD_Crew_Base : USMC_Soldier_Base {
		asr_aiskill = 5;
	};

	class FR_Base : SoldierWB {
		asr_aiskill = 2;
	};
	class FR_Marksman : FR_Base {
		asr_aiskill = 1;
	};

	class RU_Soldier_Base : SoldierEB {
		asr_aiskill = 4;
	};
	class RU_Soldier_Officer : RU_Soldier_Base {
		asr_aiskill = 3;
	};
	class RU_Soldier_SL : RU_Soldier_Base {
		asr_aiskill = 3;
	};
	class RU_Soldier_TL : RU_Soldier_Base {
		asr_aiskill = 3;
	};
	class RU_Commander : RU_Soldier_Base {
		asr_aiskill = 3;
	};
	class RU_Soldier_Sniper : RU_Soldier_Base {
		asr_aiskill = 1;
	};
	class RU_Soldier_Spotter : RU_Soldier_Base {
		asr_aiskill = 2;
	};
	class RU_Soldier_Marksman : RU_Soldier_Base {
		asr_aiskill = 3;
	};

	class RUS_Soldier_Base : SoldierEB {
		asr_aiskill = 1;
	};

	class MVD_Soldier_Base : SoldierEB {
		asr_aiskill = 1;
	};

	class GUE_Soldier_Base : SoldierGB {};

	class GUE_Worker2 : GUE_Soldier_Base {
		asr_aiskill = 7;
	};
	class GUE_Woodlander1 : GUE_Soldier_Base {
		asr_aiskill = 7;
	};
	class GUE_Villager3 : GUE_Soldier_Base {
		asr_aiskill = 7;
	};

	class GUE_Soldier_CO : GUE_Soldier_Base {
		asr_aiskill = 5;
	};
	class GUE_Commander : GUE_Soldier_Base {
		asr_aiskill = 5;
	};
	class GUE_Soldier_Sniper : GUE_Soldier_Base {
		asr_aiskill = 3;
	};
	class GUE_Soldier_Sab : GUE_Soldier_Base {
		asr_aiskill = 4;
	};
	class GUE_Soldier_Scout : GUE_Soldier_Sniper {
		asr_aiskill = 4;
	};

	class Ins_Soldier_Base : SoldierEB {};

	class Ins_Soldier_CO : Ins_Soldier_Base {
		asr_aiskill = 5;
	};
	class Ins_Commander : Ins_Soldier_Base {
		asr_aiskill = 5;
	};
	class Ins_Soldier_Sniper : Ins_Soldier_Base {
		asr_aiskill = 3;
	};
	class Ins_Soldier_Sab : Ins_Soldier_Base {
		asr_aiskill = 4;
	};

	class Ins_Worker2 : Ins_Soldier_Base {
		asr_aiskill = 7;
	};
	class Ins_Woodlander1 : Ins_Soldier_Base {
		asr_aiskill = 7;
	};
	class Ins_Villager3 : Ins_Soldier_Base {
		asr_aiskill = 7;
	};

	class CDF_Soldier_Base : SoldierWB {
		asr_aiskill = 5;
	};
	class CDF_Soldier_Militia : CDF_Soldier_Base {
		asr_aiskill = 6;
	};
	class CDF_Soldier_Sniper : CDF_Soldier_Base {
		asr_aiskill = 2;
	};
	class CDF_Soldier_Spotter : CDF_Soldier_Base {
		asr_aiskill = 3;
	};
	class CDF_Soldier_Marksman : CDF_Soldier_Base {
		asr_aiskill = 4;
	};
	class CDF_Soldier_TL : CDF_Soldier_Base {
		asr_aiskill = 4;
	};
	class CDF_Soldier_Officer : CDF_Soldier_Base {
		asr_aiskill = 4;
	};
	class CDF_Commander : CDF_Soldier_Base {
		asr_aiskill = 4;
	};

	class Pilot : Civilian {
		asr_aiskill = 6;
	};
	class Policeman : Civilian {
		asr_aiskill = 5;
	};

	class TK_INS_Soldier_Base_EP1 : SoldierEB {};

	class TK_INS_Soldier_TL_EP1 : TK_INS_Soldier_Base_EP1 {
		asr_aiskill = 5;
	};
	class TK_INS_Soldier_Sniper_EP1 : TK_INS_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};
	class TK_INS_Warlord_EP1 : TK_INS_Soldier_Base_EP1 {
		asr_aiskill = 5;
	};

	class TK_GUE_Soldier_Base_EP1 : SoldierGB {};

	class TK_GUE_Soldier_TL_EP1 : TK_GUE_Soldier_Base_EP1 {
		asr_aiskill = 5;
	};
	class TK_GUE_Soldier_Sniper_EP1 : TK_GUE_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};
	class TK_GUE_Warlord_EP1 : TK_GUE_Soldier_Base_EP1 {
		asr_aiskill = 5;
	};

	class US_Delta_Force_Undercover_Takistani_Base_EP1 : TK_GUE_Soldier_Base_EP1 {
		asr_aiskill = 1;
	};

	class CZ_Soldier_base_EP1 : SoldierWB {
		asr_aiskill = 5;
	};
	class CZ_Soldier_SL_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class CZ_Soldier_Office_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class CZ_Special_Forces_Scout_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class CZ_Special_Forces_MG_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class CZ_Special_Forces_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class CZ_Special_Forces_TL_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class CZ_Special_Forces_GL_DES_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class CZ_Soldier_Sniper_EP1 : CZ_Soldier_base_EP1 {
		asr_aiskill = 2;
	};

	class US_Soldier_Base_EP1 : SoldierWB {
		asr_aiskill = 4;
	};
	class US_Soldier_Officer_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};
	class US_Soldier_SL_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};
	class US_Soldier_TL_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};
	class US_Soldier_Spotter_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 2;
	};
	class US_Soldier_Sniper_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 1;
	};
	class US_Soldier_Marksman_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 3;
	};

	class US_Delta_Force_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 1;
	};
	class US_Delta_Force_TL_EP1 : US_Soldier_Base_EP1 {
		asr_aiskill = 1;
	};

	class UN_CDF_Soldier_base_EP1 : SoldierGB {
		asr_aiskill = 5;
	};
	class UN_CDF_Soldier_SL_EP1 : UN_CDF_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class UN_CDF_Soldier_Officer_EP1 : UN_CDF_Soldier_base_EP1 {
		asr_aiskill = 4;
	};

	class TK_Soldier_base_EP1 : SoldierEB {
		asr_aiskill = 5;
	};
	class TK_Soldier_SL_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class TK_Soldier_Officer_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class TK_Soldier_Spotter_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class TK_Soldier_Sniper_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class TK_Special_Forces_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class TK_Special_Forces_TL_EP1 : TK_Special_Forces_EP1 {
		asr_aiskill = 2;
	};
	class TK_Aziz_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 4;
	};
	class TK_Commander_EP1 : TK_Soldier_base_EP1 {
		asr_aiskill = 4;
	};

	class GER_Soldier_base_EP1 : SoldierWB {
		asr_aiskill = 5;
	};
	class GER_Soldier_EP1 : GER_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class GER_Soldier_Medic_EP1 : GER_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class GER_Soldier_TL_EP1 : GER_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class GER_Soldier_Scout_EP1 : GER_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class GER_Soldier_MG_EP1 : GER_Soldier_base_EP1 {
		asr_aiskill = 2;
	};

	class CIV_Contractor1_BAF : SoldierGB {
		asr_aiskill = 4;
	};

	class BAF_Soldier_base_EP1 : SoldierWB {
		asr_aiskill = 4;
	};
	class BAF_Soldier_Officer_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class BAF_Soldier_SL_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class BAF_Soldier_TL_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class BAF_Soldier_Marksman_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 3;
	};
	class BAF_Soldier_scout_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class BAF_Soldier_Sniper_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 1;
	};
	class BAF_Soldier_spotter_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 2;
	};
	class BAF_Soldier_FAC_MTP : BAF_Soldier_base_EP1 {
		asr_aiskill = 2;
	};

	class ACE_Seal_Base : FR_Base {
		asr_aiskill = 1;
	};

};
